Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 930

Summary: must log in repeatedly when using lynx to enter bugs
Product: [Community] Bugzilla Reporter: Adam Thompson <athompso>
Component: Bugzilla GeneralAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: 2.1rCCC: aleksey, redhat
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-12-21 15:15:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Thompson 1999-01-23 21:01:26 UTC
When using lynx (lynx-2.8.1-5) to access BugZilla, the
login page appears repeatedly.  The system (not sure which
piece: BugZilla or Lynx) does not seem to "remember" that
I have already logged in.  Four or five times.

Specifically, when I select the "Commit" link at the bottom
of this form, I will probably get prompted to log in.
Again.

------- Additional Comments From   01/23/99 16:03 -------
Yup.  Lynx displayed the login page again, before showing me the
confirmation page.  Then, when I select "View Bug#930", I get to
login again!

Now I get to log in again just to add this comment.  *sigh*

Comment 1 Adam Thompson 1999-01-23 21:35:59 UTC
(finally gave up - using Netscape this time)
A possibly relevant point is that Lynx was NOT offered a cookie by
BugZilla.  Don't know if that's how it works, but figured I'd point
that out.

Comment 2 Aleksey Nogin 1999-01-26 03:28:59 UTC
I want to point out that Bugzilla also forgot to put the e-mail
address into the comment header!

Comment 3 Need Real Name 1999-02-01 17:35:59 UTC
The original bugzilla was not designed to support lynx at all.  I have
been slowly re-working the code to allow lynx to be usable without too
much pain, but as you have seen, it's not there yet.  It is a work in
progress.

------- Email Received From  Adam Thompson <athompso@pangea.ca> 02/01/99 17:48 -------

Comment 4 Aleksey Nogin 1999-11-17 08:33:59 UTC
Also, fo some reason this bug report shows "Email Received From  Adam Thompson",
but does not give any links to actual e-mail.

Comment 5 Thomas D. Shepard 1999-12-20 00:16:59 UTC
I see the same behavior using Netscape.

Comment 6 David Lawrence 2001-03-18 23:22:49 UTC
Newest versions of Lynx seem to work fine now with storing cookies given by
Bugzilla. Please
reopen this bug if this is not the case.